<?php

/*
 * This file is part of the PHPExifTool package.
 *
 * (c) Alchemy <support@alchemy.fr>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace PHPExiftool\Driver\Tag\CanonRaw;

use JMS\Serializer\Annotation\ExclusionPolicy;
use PHPExiftool\Driver\AbstractTag;

/**
 * @ExclusionPolicy("all")
 */
class PixelAspectRatio extends AbstractTag
{

    protected $Id = 2;

    protected $Name = 'PixelAspectRatio';

    protected $FullName = 'CanonRaw::ImageInfo';

    protected $GroupName = 'CanonRaw';

    protected $g0 = 'MakerNotes';

    protected $g1 = 'CanonRaw';

    protected $g2 = 'Image';

    protected $Type = 'float';

    protected $Writable = false;

    protected $Description = 'Pixel Aspect Ratio';

    protected $flag_Permanent = true;

}
